Bug 876043 - Review Request: xfce-theme-manager - A theme manager for Xfce
Summary: Review Request: xfce-theme-manager - A theme manager for Xfce
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2012-11-13 07:03 UTC by Eduardo Echeverria
Modified: 2013-03-10 00:58 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-12-21 12:04:50 UTC
Type: Bug
kevin: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Fix prefix and strip program (1.25 KB, patch)
2012-11-13 07:05 UTC, Eduardo Echeverria
no flags Details | Diff
Fix typos in desktop file (578 bytes, patch)
2012-11-13 07:06 UTC, Eduardo Echeverria
no flags Details | Diff
Alternate spec (1.47 KB, text/x-rpm-spec)
2012-11-13 11:28 UTC, Tim Lauridsen
no flags Details

Description Eduardo Echeverria 2012-11-13 07:03:24 UTC
Spec URL: http://echevemaster.fedorapeople.org/xfce-theme-manager/1/xfce-theme-manager.spec
RPMS URL: http://echevemaster.fedorapeople.org/xfce-theme-manager/1/xfce-theme-manager-0.1.18-1.fc17.src.rpm
Description: A theme manager allowing easy configuration of themes, 
window borders, controls, icons and cursors for Xfce

Fedora Account System Username: echevemaster

rpmlint -v xfce-theme-manager.spec 
xfce-theme-manager.spec: I: checking-url http://aur.mfs.name/xfce-theme-manager/xfce-theme-manager-0.1.18.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -v xfce-theme-manager-0.1.18-1.fc17.src.rpm xfce-theme-manager.src: I: checking
xfce-theme-manager.src: I: checking-url http://keithhedger.hostingsiteforfree.com/pages/apps.html#themeed (timeout 10 seconds)http://aur.mfs.name/xfce-theme-manager/xfce-theme-manager-0.1.18.tar.gz
xfce-theme-manager.src: W: invalid-url URL: http://keithhedger.hostingsiteforfree.com/pages/apps.html#themeed <urlopen error timed out>
xfce-theme-manager.src: I: checking-url http://aur.mfs.name/xfce-theme-manager/xfce-theme-manager-0.1.18.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Koji Build Rawhide 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4682058
Koji Build F18
http://koji.fedoraproject.org/koji/taskinfo?taskID=4682060
Koji Build F17 
http://koji.fedoraproject.org/koji/taskinfo?taskID=4682069


There are some issues with this package that I think fix soon
1.- No license text, I sent an email to upstream for include the license 
2.- For some unknown reason the original site for downloading the tarball is innacesible for myself. But is a fact that the site is operating, So use this pristine source mirrored in http://aur.mfs.name/xfce-theme-manager/xfce-theme-manager-0.1.18.tar.gz

Comment 1 Eduardo Echeverria 2012-11-13 07:05:21 UTC
Created attachment 643973 [details]
Fix prefix and strip program

Comment 2 Eduardo Echeverria 2012-11-13 07:06:24 UTC
Created attachment 643975 [details]
Fix typos in desktop file

Comment 3 Tim Lauridsen 2012-11-13 11:28:04 UTC
Created attachment 644063 [details]
Alternate spec

I have also done some initial packaging, maybe there is some hints to avoid the patches you are using.

Comment 4 Kevin Fenzi 2012-11-13 17:06:59 UTC
I can try and review this in a while if no one beats me to it. ;)

Comment 5 Eduardo Echeverria 2012-11-14 07:13:38 UTC
(In reply to comment #3)
> Created attachment 644063 [details]
> Alternate spec
> 
> I have also done some initial packaging, maybe there is some hints to avoid
> the patches you are using.

Thanks Tim. I'll wait to upstream provide me the license


(In reply to comment #4)
> I can try and review this in a while if no one beats me to it. ;)

Thanks Kevin,

Comment 6 Kevin Fenzi 2012-11-18 19:15:44 UTC
Hey Eduardo. Is this ready to review? Or would you care to fold in changes from Tim and update? 

Also, have you heard anything from upstream on the license?

Comment 7 Eduardo Echeverria 2012-11-18 19:59:30 UTC
(In reply to comment #6)
> Hey Eduardo. Is this ready to review? Or would you care to fold in changes
> from Tim and update? 
> 
> Also, have you heard anything from upstream on the license?

Hi Kevin 
I 've talked with upstream and has released a new version with the license included
http://keithhedger.hostingsiteforfree.com/zips/Xfce-Theme-Manager-0.1.19.tar.gz
I'm packing this new version today, I let you know when it is ready

Comment 9 Kevin Fenzi 2012-11-25 23:29:55 UTC
OK - Package meets naming and packaging guidelines
OK - Spec file matches base package name. 
OK - Spec has consistant macro usage. 
OK - Meets Packaging Guidelines. 
OK - License (GPLv3)
OK - License field in spec matches
OK - License file included in package
OK - Spec in American English
OK - Spec is legible.
see below - Sources match upstream md5sum:

OK - BuildRequires correct
OK - Package has %defattr and permissions on files is good. 
OK - Package has a correct %clean section. 
OK - Package has correct buildroot
OK - Package is code or permissible content. 
OK - Packages %doc files don't affect runtime. 

OK - Package is a GUI app and has a .desktop file

OK - Package compiles and builds on at least one arch. 
OK - Package has no duplicate files in %files. 
OK - Package doesn't own any directories other packages own. 
OK - Package owns all the directories it creates. 
OK - Package obey's FHS standard (except for 2 exceptions)
See below - No rpmlint output. 
OK - final provides and requires are sane.

SHOULD Items:

OK - Should build in mock. 
OK - Should build on all supported archs
OK - Should function as described. 
OK - Should have dist tag
OK - Should package latest version
OK - Should not use file requires outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin

Issues: 

1. Is there no upstream place to download the source? If it's not a easy to use url you 
can explain in a comment how to download it. 

2. (nonblocker) You might mention to upstream the various warnings spit out in the build. 

3. rpmlint says: 

xfce-theme-manager.i686: W: no-manual-page-for-binary xfce-theme-manager

Might be nice to make a man page, but not a blocker. 

xfce-theme-manager-debuginfo.i686: E: debuginfo-without-sources

debuginfo-without-sources:
This debuginfo package appears to contain debug symbols but no source files.
This is often a sign of binaries being unexpectedly stripped too early during
the build, or being compiled without compiler debug flags (which again often
is a sign of distro's default compiler flags ignored which might have security
consequences), or other compiler flags which result in rpmbuild's debuginfo
extraction not working as expected.  Verify that the binaries are not
unexpectedly stripped and that the intended compiler flags are used.

You probibly need to patch the build process to use the normal rpm opt flags.

Comment 10 Eduardo Echeverria 2012-11-26 06:37:31 UTC
Hi kevin, Thanks for taking the review

(In reply to comment #9)
> Issues: 
> 
> 1. Is there no upstream place to download the source? If it's not a easy to
> use url you 
> can explain in a comment how to download it. 

Comment added

> 2. (nonblocker) You might mention to upstream the various warnings spit out
> in the build. 

I'll send an email to upstream with the warnings

> 3. rpmlint says: 
> 
> xfce-theme-manager.i686: W: no-manual-page-for-binary xfce-theme-manager
> 
> Might be nice to make a man page, but not a blocker. 

I did a man page for the application, today sent it to upstream
 
> xfce-theme-manager-debuginfo.i686: E: debuginfo-without-sources
> 
> debuginfo-without-sources:
> This debuginfo package appears to contain debug symbols but no source files.
> This is often a sign of binaries being unexpectedly stripped too early during
> the build, or being compiled without compiler debug flags (which again often
> is a sign of distro's default compiler flags ignored which might have
> security
> consequences), or other compiler flags which result in rpmbuild's debuginfo
> extraction not working as expected.  Verify that the binaries are not
> unexpectedly stripped and that the intended compiler flags are used.
> 
> You probibly need to patch the build process to use the normal rpm opt flags.

Solved 


SPEC: http://echevemaster.fedorapeople.org/xfce-theme-manager/2/xfce-theme-manager.spec
SRPM: http://echevemaster.fedorapeople.org/xfce-theme-manager/2/xfce-theme-manager-0.1.19-2.fc17.src.rpm

Koji scratch Builds:
rawhide: http://koji.fedoraproject.org/koji/taskinfo?taskID=4727203
f18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4727214
f17: http://koji.fedoraproject.org/koji/taskinfo?taskID=4727242

Comment 11 Kevin Fenzi 2012-11-30 22:53:45 UTC
I'd use the upstream url in the Source0 line... if it's only failing for you there due to some network issue, it should hopefully work for anyone else who reads your spec. ;) 

I don't see any further blockers, you can fix the Source0 url before checking...

Comment 12 Eduardo Echeverria 2012-11-30 23:45:52 UTC
(In reply to comment #11)
> I'd use the upstream url in the Source0 line... if it's only failing for you
> there due to some network issue, it should hopefully work for anyone else
> who reads your spec. ;) 

From that point of view you're right :).
I fixed Source0

SPEC: http://echevemaster.fedorapeople.org/xfce-theme-manager/3/xfce-theme-manager.spec
SRPM: http://echevemaster.fedorapeople.org/xfce-theme-manager/3/xfce-theme-manager-0.1.19-3.fc17.src.rpm

Comment 13 Eduardo Echeverria 2012-12-08 00:32:18 UTC
Hi Kevin since you have granted review, and has put his state in +, when I can give approval to this package? Thanks in advance and very grateful for the reviews-

Kind Regards

Comment 14 Kevin Fenzi 2012-12-08 00:46:47 UTC
Follow the process from: 
https://fedoraproject.org/wiki/Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management_.28SCM.29_system_and_Set_Owner

basically you add a scm request here and set the 'fedora-cvs' flag to ? and then scmadmins process it and you can import, build and push updates of the package.

Comment 15 Eduardo Echeverria 2012-12-08 01:09:56 UTC
(In reply to comment #14)
> Follow the process from: 
> https://fedoraproject.org/wiki/
> Join_the_package_collection_maintainers#Add_Package_to_Source_Code_Management
> _.28SCM.29_system_and_Set_Owner
> 
> basically you add a scm request here and set the 'fedora-cvs' flag to ? and
> then scmadmins process it and you can import, build and push updates of the
> package.

If I know, I think there is a misunderstanding here from me (by the language), as I not saw the word "approved". I thought you had something more to review, :)

thanks again

New Package SCM Request
=======================
Package Name: xfce-theme-manager
Short Description: A theme manager for Xfce
Owners: echevemaster
Branches: f17 f18
InitialCC:

Comment 16 Kevin Fenzi 2012-12-08 01:25:52 UTC
Sorry if you were waiting for me. ;( 

Should be all set from my side.

Comment 17 Gwyn Ciesla 2012-12-09 01:49:50 UTC
Git done (by process-git-requests).

Comment 18 Fedora Update System 2012-12-09 05:53:40 UTC
xfce-theme-manager-0.1.20-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xfce-theme-manager-0.1.20-1.fc18

Comment 19 Fedora Update System 2012-12-09 05:55:24 UTC
xfce-theme-manager-0.1.20-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xfce-theme-manager-0.1.20-1.fc17

Comment 20 Fedora Update System 2012-12-10 06:56:51 UTC
xfce-theme-manager-0.1.20-1.fc18 has been pushed to the Fedora 18 testing repository.

Comment 21 Fedora Update System 2012-12-21 12:04:52 UTC
xfce-theme-manager-0.1.20-1.fc17 has been pushed to the Fedora 17 stable repository.

Comment 22 Fedora Update System 2013-01-06 06:08:19 UTC
xfce-theme-manager-0.2.3-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xfce-theme-manager-0.2.3-1.fc17

Comment 23 Fedora Update System 2013-01-06 06:09:42 UTC
xfce-theme-manager-0.2.3-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xfce-theme-manager-0.2.3-1.fc18

Comment 24 Fedora Update System 2013-01-11 23:12:50 UTC
xfce-theme-manager-0.1.20-1.fc18 has been pushed to the Fedora 18 stable repository.

Comment 25 Fedora Update System 2013-01-15 02:30:10 UTC
xfce-theme-manager-0.2.3-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2013-01-15 02:30:39 UTC
xfce-theme-manager-0.2.3-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2013-02-08 06:37:58 UTC
xfce-theme-manager-0.2.4-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/xfce-theme-manager-0.2.4-1.fc18

Comment 28 Fedora Update System 2013-02-08 06:40:51 UTC
xfce-theme-manager-0.2.4-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/xfce-theme-manager-0.2.4-1.fc17

Comment 29 Fedora Update System 2013-03-10 00:53:53 UTC
xfce-theme-manager-0.2.4-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2013-03-10 00:58:54 UTC
xfce-theme-manager-0.2.4-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.